org.eclipse.actf.visualization.engines.blind

## Enum TextCheckResult

- java.lang.Object
- - java.lang.Enum<TextCheckResult>
  - - org.eclipse.actf.visualization.engines.blind.TextCheckResult

All Implemented Interfaces:
  Serializable, Comparable<TextCheckResult>

    public enum TextCheckResult
    extends Enum<TextCheckResult>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASCII_ART` Contains a lot of space characters and graphical symbols.
`BLANK` Flag means ALT is not null, but contains only blank characters.
`BLANK_NBSP` Flag means ALT is not null, contains only blank characters and contains one or more characters.
`IMG_EXT` Flag means ALT string ends with the extension that is used for images.
`INCLUDING_MANY_NG_WORD` Flag means ALT string contains many NG words within it (ratio is greater than 0.6).
`INCLUDING_NG_WORD` Flag means ALT string contains several NG words within it (ratio is between 0.3 and 0.6).
`NG_WORD` Flag means entire ALT string matches one of the NG words.
`NULL` Flag means ALT is null string ("").
`OK` Flag that means ALT may be OK.
`SAME_AS_SRC` Flag means ALT string is equal to src attribute value.
`SPACE_SEPARATED` Flag means ALT string is separated by in-word space characters, e.g.
`SPACE_SEPARATED_JP` Flag means ALT string is Japanese and separated by in-word space characters, e.g.

### Method Summary

Methods
`static TextCheckResult` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TextCheckResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final TextCheckResult OK

Flag that means ALT may be OK.

#### NULL

    public static final TextCheckResult NULL

Flag means ALT is null string ("").

#### BLANK

    public static final TextCheckResult BLANK

Flag means ALT is not null, but contains only blank characters.

#### BLANK_NBSP

    public static final TextCheckResult BLANK_NBSP

Flag means ALT is not null, contains only blank characters and contains one or more characters.

#### NG_WORD

    public static final TextCheckResult NG_WORD

Flag means entire ALT string matches one of the NG words.

#### IMG_EXT

    public static final TextCheckResult IMG_EXT

Flag means ALT string ends with the extension that is used for images.

#### SAME_AS_SRC

    public static final TextCheckResult SAME_AS_SRC

Flag means ALT string is equal to src attribute value.

#### SPACE_SEPARATED

    public static final TextCheckResult SPACE_SEPARATED

Flag means ALT string is separated by in-word space characters, e.g. "p u s h".

#### SPACE_SEPARATED_JP

    public static final TextCheckResult SPACE_SEPARATED_JP

Flag means ALT string is Japanese and separated by in-word space characters, e.g. "処　理　開　始"　(start processing).

#### ASCII_ART

    public static final TextCheckResult ASCII_ART

Contains a lot of space characters and graphical symbols. Usually reported for ASCII arts.

#### INCLUDING_MANY_NG_WORD

    public static final TextCheckResult INCLUDING_MANY_NG_WORD

Flag means ALT string contains many NG words within it (ratio is greater than 0.6).

#### INCLUDING_NG_WORD

    public static final TextCheckResult INCLUDING_NG_WORD

Flag means ALT string contains several NG words within it (ratio is between 0.3 and 0.6).

### Method Detail

#### values

    public static TextCheckResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TextCheckResult c : TextCheckResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TextCheckResult valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null